Bug 189461 - (fbmmx) [fb MMX] X crashes after login
[fb MMX] X crashes after login
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: 188305 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-04-20 03:32 EDT by Christof Damian
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-01 10:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christof Damian 2006-04-20 03:32:36 EDT
Description of problem:
X crashes after login as user. I have this happening on two computers with
different graphic cards, both are AMD though. I think it might be related to a
transparent gnome-panel. It works when i switch to a text console during login
and then switch to x11.

Version-Release number of selected component (if applicable):
fc5 with updates

How reproducible:
login on my machine, but it does work sometimes.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
here is an excerpt of my Xorg log:

0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b86c7]
1: [0x8c2420]
2: /usr/lib/xorg/modules/libfb.so(fbCopyAreammx+0x1e2) [0x152442]
3: /usr/lib/xorg/modules/libfb.so(fbCompositeCopyAreammx+0x66) [0x152566]
4: /usr/lib/xorg/modules/libfb.so(fbComposite+0x57b) [0x14316b]
5: /usr/lib/xorg/modules/libxaa.so(XAAComposite+0x261) [0x190261]
6: /usr/bin/Xorg [0x81543e6]
7: /usr/bin/Xorg(CompositePicture+0xf7) [0x8142007]
8: /usr/bin/Xorg [0x8147d6c]
9: /usr/bin/Xorg [0x81450a5]
10: /usr/bin/Xorg(Dispatch+0x19b) [0x80888eb]
11: /usr/bin/Xorg(main+0x487) [0x80701d7]
12: /lib/libc.so.6(__libc_start_main+0xdc) [0x8f57e4]
13: /usr/bin/Xorg(FontFileCompleteXLFD+0xb1) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Mike A. Harris 2006-05-23 09:08:49 EDT
Seems to be a common problem being reported.  This is the 3rd or 4th bug report
I've seen with a backtrace pointing at the fb MMX code causing a SEGV.
Comment 2 Christof Damian 2006-05-23 09:33:15 EDT
I have switched off the transparency of gnome-panel on one machine and the
problem went away there.
Comment 3 Mike A. Harris 2006-05-23 11:16:46 EDT
*** Bug 188305 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2006-06-14 10:18:23 EDT
Please attach your X server log and config file, from a session in which
you experience this problem, as that will help diagnosis.

Comment 5 Christof Damian 2006-11-01 09:14:35 EST
This seems to work now. I can't remember which update fixed it.
Comment 6 Matěj Cepl 2006-11-01 10:34:25 EST
Reporter is not able to reproduce

Note You need to log in before you can comment on or make changes to this bug.